## monkeysphere 0.22

=== Makefile ===
#!/usr/bin/make -f

# Makefile for monkeysphere

# (c) 2008 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

MONKEYSPHERE_VERSION = `head -n1 packaging/debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/'`

# these defaults are for debian.  porters should probably adjust them
# before calling make install
ETCPREFIX ?= 
ETCSUFFIX ?= 
PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man

all: keytrans

keytrans:
	$(MAKE) -C src/keytrans

tarball: clean
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
	mkdir -p monkeysphere-$(MONKEYSPHERE_VERSION)/doc
	ln -s ../../website/getting-started-user.mdwn ../../website/getting-started-admin.mdwn ../../doc/TODO ../../doc/MonkeySpec monkeysphere-$(MONKEYSPHERE_VERSION)/doc
	ln -s ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
	tar -ch --exclude='*~' monkeysphere-$(MONKEYSPHERE_VERSION) | gzip -n > monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)

debian-package: tarball
	tar xzf monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
	cp -a packaging/debian monkeysphere-$(MONKEYSPHERE_VERSION)
	(cd monkeysphere-$(MONKEYSPHERE_VERSION) && debuild -uc -us)
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)

# don't explicitly depend on the tarball, since our tarball
# (re)generation is not idempotent even when no source changes.
freebsd-distinfo: 
	./utils/build-freebsd-distinfo

clean:
	$(MAKE) -C src/keytrans clean
	# clean up old monkeysphere packages lying around as well.
	rm -f monkeysphere_*

# this target is to be called from the tarball, not from the git
# working dir!
install: all installman
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/sbin $(DESTDIR)$(PREFIX)/share/monkeysphere
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
	install src/monkeysphere src/monkeysphere-ssh-proxycommand src/keytrans/openpgp2ssh $(DESTDIR)$(PREFIX)/bin
	install src/monkeysphere-server $(DESTDIR)$(PREFIX)/sbin
	install -m 0644 src/common $(DESTDIR)$(PREFIX)/share/monkeysphere
	install doc/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	install -m 0644 etc/gnupg-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/gnupg-host.conf$(ETCSUFFIX)
	install -m 0644 etc/gnupg-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/gnupg-authentication.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-server.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-server.conf$(ETCSUFFIX)

installman:
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1 $(DESTDIR)$(MANPREFIX)/man7 $(DESTDIR)$(MANPREFIX)/man8
	gzip -n man/*/*
	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	install man/man7/* $(DESTDIR)$(MANPREFIX)/man7
	install man/man8/* $(DESTDIR)$(MANPREFIX)/man8
	gzip -d man/*/*

releasenote:
	./utils/build-releasenote

.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote

=== src/keytrans/Makefile ===
CFLAGS=`libgnutls-config --libs --cflags` -g -Wall --pedantic
CC=gcc

all: openpgp2ssh

openpgp2ssh: openpgp2ssh.c gnutls-helpers.o
	$(CC) $(CFLAGS) -o openpgp2ssh openpgp2ssh.c gnutls-helpers.o

.c.o: 
	$(CC) $(CFLAGS) -c $<

clean: 
	rm -f openpgp2ssh *.o

.PHONY: clean all

=== src/monkeyshell/Makefile ===
monkeyshell: monkeyshell.c
	gcc -Wall -Werror --pedantic -o monkeyshell monkeyshell.c

## monkeysphere 0.26

=== Makefile ===
#!/usr/bin/make -f

# Makefile for monkeysphere

# (c) 2008-2009 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

MONKEYSPHERE_VERSION = `head -n1 packaging/debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/'`

# these defaults are for debian.  porters should probably adjust them
# before calling make install
ETCPREFIX ?= 
ETCSUFFIX ?= 
PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man

# nothing actually needs to be built now.
all: 

tarball: clean
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
	mkdir -p monkeysphere-$(MONKEYSPHERE_VERSION)/doc
	ln -s ../../website/getting-started-user.mdwn ../../website/getting-started-admin.mdwn ../../doc/TODO ../../doc/MonkeySpec monkeysphere-$(MONKEYSPHERE_VERSION)/doc
	ln -s ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
	echo Monkeysphere $(MONKEYSPHERE_VERSION) > monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
	echo -n "git revision " >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
	git rev-parse HEAD >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
	tar -ch --exclude='*~' monkeysphere-$(MONKEYSPHERE_VERSION) | gzip -n > monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)

debian-package: tarball
	tar xzf monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
	cp -a packaging/debian monkeysphere-$(MONKEYSPHERE_VERSION)
	(cd monkeysphere-$(MONKEYSPHERE_VERSION) && debuild -uc -us)
	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)

# don't explicitly depend on the tarball, since our tarball
# (re)generation is not idempotent even when no source changes.
freebsd-distinfo: 
	./utils/build-freebsd-distinfo

macports-portfile:
	./utils/build-macports-portfile

clean:
	# clean up old monkeysphere packages lying around as well.
	rm -f monkeysphere_*

# this target is to be called from the tarball, not from the git
# working dir!
install: all installman
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(PREFIX)/share/monkeysphere/m $(DESTDIR)$(PREFIX)/share/monkeysphere/mh $(DESTDIR)$(PREFIX)/share/monkeysphere/ma $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	install -m 0644 VERSION $(DESTDIR)$(PREFIX)/share/monkeysphere
	install src/monkeysphere $(DESTDIR)$(PREFIX)/bin
	install src/monkeysphere-host src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0644 src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
	ln -s ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
	ln -s ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
	install -m 0744 src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/transitions/README.txt $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
	install doc/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)

installman:
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1 $(DESTDIR)$(MANPREFIX)/man7 $(DESTDIR)$(MANPREFIX)/man8
	gzip -n man/*/*
	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	install man/man7/* $(DESTDIR)$(MANPREFIX)/man7
	install man/man8/* $(DESTDIR)$(MANPREFIX)/man8
	gzip -d man/*/*

releasenote:
	./utils/build-releasenote

test:
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic

.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test

## monkeysphere 0.28

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 
 # Makefile for monkeysphere
 
-# (c) 2008-2009 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+# © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 # Licensed under GPL v3 or later
 
-MONKEYSPHERE_VERSION = `head -n1 packaging/debian/changelog | sed 's/.*(\([^-]*\)-.*/\1/'`
+MONKEYSPHERE_VERSION = `head -n1 changelog | sed 's/.*(\([^-]*\)).*/\1/'`
 
 # these defaults are for debian.  porters should probably adjust them
 # before calling make install
@@ -21,7 +21,7 @@
 	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
 	mkdir -p monkeysphere-$(MONKEYSPHERE_VERSION)/doc
 	ln -s ../../website/getting-started-user.mdwn ../../website/getting-started-admin.mdwn ../../doc/TODO ../../doc/MonkeySpec monkeysphere-$(MONKEYSPHERE_VERSION)/doc
-	ln -s ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
+	ln -s ../changelog ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
 	echo Monkeysphere $(MONKEYSPHERE_VERSION) > monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
 	echo -n "git revision " >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
 	git rev-parse HEAD >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
@@ -68,6 +68,7 @@
 	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
 	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
 	install doc/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
+	install changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
 	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)
@@ -83,8 +84,12 @@
 releasenote:
 	./utils/build-releasenote
 
-test:
-	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
+test: test-keytrans test-basic
+
+test-basic:
 	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic
 
+test-keytrans:
+	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
+
 .PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test

## monkeysphere 0.30

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 # Licensed under GPL v3 or later
 
-MONKEYSPHERE_VERSION = `head -n1 changelog | sed 's/.*(\([^-]*\)).*/\1/'`
+MONKEYSPHERE_VERSION = `head -n1 Changelog | sed 's/.*(\([^-]*\)).*/\1/'`
 
 # these defaults are for debian.  porters should probably adjust them
 # before calling make install
@@ -17,22 +17,8 @@
 # nothing actually needs to be built now.
 all: 
 
-tarball: clean
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
-	mkdir -p monkeysphere-$(MONKEYSPHERE_VERSION)/doc
-	ln -s ../../website/getting-started-user.mdwn ../../website/getting-started-admin.mdwn ../../doc/TODO ../../doc/MonkeySpec monkeysphere-$(MONKEYSPHERE_VERSION)/doc
-	ln -s ../changelog ../COPYING ../etc ../Makefile ../man ../src ../tests monkeysphere-$(MONKEYSPHERE_VERSION)
-	echo Monkeysphere $(MONKEYSPHERE_VERSION) > monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	echo -n "git revision " >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	git rev-parse HEAD >> monkeysphere-$(MONKEYSPHERE_VERSION)/VERSION
-	tar -ch --exclude='*~' monkeysphere-$(MONKEYSPHERE_VERSION) | gzip -n > monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
-
-debian-package: tarball
-	tar xzf monkeysphere_$(MONKEYSPHERE_VERSION).orig.tar.gz
-	cp -a packaging/debian monkeysphere-$(MONKEYSPHERE_VERSION)
-	(cd monkeysphere-$(MONKEYSPHERE_VERSION) && debuild -uc -us)
-	rm -rf monkeysphere-$(MONKEYSPHERE_VERSION)
+debian-package:
+	git buildpackage -uc -us
 
 # don't explicitly depend on the tarball, since our tarball
 # (re)generation is not idempotent even when no source changes.
@@ -53,7 +39,7 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/monkeysphere/m $(DESTDIR)$(PREFIX)/share/monkeysphere/mh $(DESTDIR)$(PREFIX)/share/monkeysphere/ma $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
 	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
 	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
-	install -m 0644 VERSION $(DESTDIR)$(PREFIX)/share/monkeysphere
+	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
 	install src/monkeysphere $(DESTDIR)$(PREFIX)/bin
 	install src/monkeysphere-host src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
 	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
@@ -67,8 +53,7 @@
 	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
 	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
 	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
-	install doc/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
-	install changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
+	install Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
 	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)

=== debian/changelog ===
monkeysphere (0.30-1) unstable; urgency=low

  [ Daniel Kahn Gillmor]
  * New upstream release
   - handles lack of openssh utilities gracefully
  * moved openssh-client from Depends: to Recommends: (Closes: #574170)
  * Move to git buildpackage
  * Specify source format 3.0 (quilt)

  [ Micah Anderson ]
  * Remove duplicate Changelog install

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 17 Apr 2010 20:42:11 -0400

monkeysphere (0.29-1) unstable; urgency=low

  [ Jameson Graef Rollins ]
  * New upstream release

  [ Daniel Kahn Gillmor ]
  * bumped Standards-Version to 3.8.4 (no changes needed)
  * indicated bash dependency on version 3.2 or later (see MS #1687)
  * including /etc/Xsession.d/70monkeysphere_use_validation_agent so that
    administrators and users can choose to start up a validation agent for
    each X session using monkeysphere.conf

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 14 Mar 2010 21:07:17 -0400

monkeysphere (0.28-1) unstable; urgency=low

  * New upstream release
  * Separate upstream and debian changelogs

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 19 Jan 2010 13:56:17 -0500

monkeysphere (0.27-1) unstable; urgency=low

  * New upstream release
  * updated debian/copyright to match the latest revision of DEP5.
  * updated standards version to 3.8.3 (no changes needed)
  * add cpio to Build-Depends (used in test suite) (Closes: #562444)

 -- Jameson Rollins <jrollins@finestructure.net>  Mon, 11 Jan 2010 20:54:21 -0500

monkeysphere (0.26-1) unstable; urgency=low

  * New upstream release (Closes: #527765)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 01 Aug 2009 17:11:05 -0400

monkeysphere (0.25-1) unstable; urgency=low

  * New upstream release (closes: #534008)
  * update Standard-Version to 3.8.2 (no changes needed)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Thu, 16 Jul 2009 22:09:19 -0400

monkeysphere (0.24-1) unstable; urgency=low

  * New upstream release (Closes: #517779)
  * update/cleanup maintainer scripts
  * remove GnuTLS dependency
  * remove versioned coreutils | base64 dependency
  * added Build-Deps for dh_autotest
  * switch to Architecture: all
  * added cron to Recommends

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Tue, 03 Mar 2009 19:38:33 -0500

monkeysphere (0.23.1-1) unstable; urgency=low

  * New upstrem release ("brown paper bag" to adjust internal version numbers)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 18:09:47 -0500

monkeysphere (0.23-1) unstable; urgency=low
  
  * New upstream release: "The Golden Bezoar Release"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 21 Feb 2009 17:51:06 -0500

monkeysphere (0.22-1) unstable; urgency=low

  * New upstream release
  * debian/control: corrected alternate dependency from procfile to
    procmail (which provides /usr/bin/lockfile)

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Fri, 28 Nov 2008 14:23:31 -0500

monkeysphere (0.21-2) unstable; urgency=low

  * actually rmdir /var/lib/monkeysphere-* during prerm if possible.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 15 Nov 2008 16:36:57 -0500

monkeysphere (0.21-1) unstable; urgency=low

  * New upstream initial release to Debian (Closes: #505806)
  * Add debian prerm script, and add debhelper lines to other install
    scripts.

 -- Jameson Graef Rollins <jrollins@finestructure.net>  Sat, 15 Nov 2008 16:14:27 -0500

=== debian/control ===
Source: monkeysphere
Section: net
Priority: extra
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>= 7.0.50~),
 cpio,
 socat,
 openssh-server,
 gnupg,
 libcrypt-openssl-rsa-perl,
 libdigest-sha-perl,
 lockfile-progs | procmail,
 openssl,
 bash (>= 3.2)
Standards-Version: 3.8.4
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/monkeysphere
Dm-Upload-Allowed: yes

Package: monkeysphere
Architecture: all
Depends:
 gnupg,
 libcrypt-openssl-rsa-perl,
 libdigest-sha-perl,
 lockfile-progs | procmail,
 adduser,
 ${misc:Depends}
Recommends: netcat | socat,
 ssh-askpass,
 cron,
 openssh-client
Suggests: monkeysphere-validation-agent
Enhances: openssh-client, openssh-server
Description: leverage the OpenPGP web of trust for SSH and TLS authentication
 SSH key-based authentication is tried-and-true, but it lacks a true
 Public Key Infrastructure for key certification, revocation and
 expiration.  Monkeysphere is a framework that uses the OpenPGP web of
 trust for these PKI functions.  It can be used in both directions:
 for users to get validated host keys, and for hosts to authenticate
 users.  Current monkeysphere SSH tools are designed to integrate
 with the OpenSSH implementation of the Secure Shell protocol.
 . 
 Monkeysphere can also be used by a validation agent to validate TLS
 connections (e.g. https).

## monkeysphere 0.31

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
 	install src/monkeysphere $(DESTDIR)$(PREFIX)/bin
 	install src/monkeysphere-host src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
+	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
@@ -53,7 +54,9 @@
 	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
 	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
 	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
-	install Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
+	install -m 0644 Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
+	install -d $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
+	install -m 0644 examples/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
 	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
 	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)

=== packaging/freebsd/security/monkeysphere/Makefile ===
# New ports collection makefile for:   monkeysphere
# Date created:        2008-09-11 23:38:27-0400
# Whom:                Daniel Kahn Gillmor <dkg@fifthhorseman.net>
#
# $FreeBSD$
#

PORTNAME=	monkeysphere
PORTVERSION=   0.26
CATEGORIES=	security
MASTER_SITES=	http://archive.monkeysphere.info/debian/pool/monkeysphere/m/monkeysphere/
# hack for debian orig tarballs
DISTFILES=	${PORTNAME}_${DISTVERSION}.orig.tar.gz

MAINTAINER=	dkg@fifthhorseman.net
COMMENT=	Use the OpenPGP web of trust to verify ssh connections

RUN_DEPENDS=	gpg:${PORTSDIR}/security/gnupg1 \
		lockfile:${PORTSDIR}/mail/procmail \
		bash:${PORTSDIR}/shells/bash \
		${SITE_PERL}/${PERL_ARCH}/Crypt/OpenSSL/RSA.pm:${PORTSDIR}/security/p5-Crypt-OpenSSL-RSA \
		${SITE_PERL}/${PERL_ARCH}/Digest/SHA.pm:${PORTSDIR}/security/p5-Digest-SHA

MAN1=		monkeysphere.1 openpgp2ssh.1 pem2openpgp.1
MAN7=		monkeysphere.7
MAN8=		monkeysphere-host.8 monkeysphere-authentication.8
MANCOMPRESSED=	yes

MAKE_ARGS=	ETCPREFIX=${PREFIX} MANPREFIX=${PREFIX}/man ETCSUFFIX=.sample

# use proper system paths for FreeBSD instead of debian's:
post-patch:
	@${REINPLACE_CMD} -e 's|/etc/monkeysphere|/usr/local/etc/monkeysphere|g' \
	  ${WRKSRC}/src/share/defaultenv \
	  ${WRKSRC}/src/transitions/0.23 \
	  ${WRKSRC}/man/man1/monkeysphere.1 \
	  ${WRKSRC}/man/man8/monkeysphere-authentication.8 \
	  ${WRKSRC}/man/man8/monkeysphere-host.8 \
	  ${WRKSRC}/etc/monkeysphere-authentication.conf
	@${REINPLACE_CMD} -e 's|/var/lib/monkeysphere|/var/monkeysphere|g' \
	  ${WRKSRC}/src/transitions/0.23 \
	  ${WRKSRC}/man/man1/monkeysphere.1 \
	  ${WRKSRC}/man/man8/monkeysphere-authentication.8 \
	  ${WRKSRC}/man/man8/monkeysphere-host.8 \
	  ${WRKSRC}/src/monkeysphere-host \
	  ${WRKSRC}/src/monkeysphere-authentication \
	  ${WRKSRC}/doc/getting-started-admin.mdwn
	@${REINPLACE_CMD} -e 's|/usr/share/monkeysphere|/usr/local/share/monkeysphere|g' \
	  ${WRKSRC}/src/monkeysphere-host \
	  ${WRKSRC}/src/monkeysphere-authentication \
	  ${WRKSRC}/src/monkeysphere
	# and clean up cruft from the sed replacements:
	${FIND} ${WRKSRC} -name '*.bak' -delete

post-install:
	@if [ ! -f ${PREFIX}/etc/monkeysphere/monkeysphere.conf ]; then \
		${CP} -p ${PREFIX}/etc/monkeysphere/monkeysphere.conf.sample ${PREFIX}/etc/monkeysphere/monkeysphere.conf ; \
	fi
	@if [ ! -f ${PREFIX}/etc/monkeysphere/monkeysphere-host.conf ]; then \
		${CP} -p ${PREFIX}/etc/monkeysphere/monkeysphere-host.conf.sample ${PREFIX}/etc/monkeysphere/monkeysphere-host.conf ; \
	fi
	@if [ ! -f ${PREFIX}/etc/monkeysphere/monkeysphere-authentication.conf ]; then \
		${CP} -p ${PREFIX}/etc/monkeysphere/monkeysphere-authentication.conf.sample ${PREFIX}/etc/monkeysphere/monkeysphere-authentication.conf ; \
	fi
.if !defined(PACKAGE_BUILDING)
	@${SETENV} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
.endif

post-deinstall:
	@${SETENV} ${SH} ${PKGDEINSTALL} ${PKGNAME} POST-DEINSTALL

.include <bsd.port.mk>

=== debian/changelog ===
monkeysphere (0.31-4) stable; urgency=low

  * fix monkeysphere-host revoke-key (Closes: #607596)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 19 Dec 2010 22:04:03 -0500

monkeysphere (0.31-3) unstable; urgency=high

  * avoid mis-escaping uids, fixes a security issue. (Closes: #600304)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Oct 2010 16:46:17 -0400

monkeysphere (0.31-2) unstable; urgency=low

  * sleep a bit in keytrans suite to ensure that at least a full second
    passes before using $keytrans + 1 (Closes: #591118)
  * bumped Standards-Version to 3.9.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Oct 2010 13:42:18 -0400

monkeysphere (0.31-1) unstable; urgency=low

  * New Upstream Release
  * updated Xsession.d script to avoid choking when
    /etc/monkeysphere/monkeysphere.conf has been removed.
  * bumped Standards-Version to 3.9.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 15 Jul 2010 19:22:11 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Micah Anderson <micah@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  cpio,
  socat,
@@ -13,7 +13,7 @@
  lockfile-progs | procmail,
  openssl,
  bash (>= 3.2)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/monkeysphere
 Dm-Upload-Allowed: yes

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_OPTIONS=" nocheck"

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/monkeysphere/usr/share/doc/monkeysphere/Changelog

## monkeysphere 0.35

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,7 @@
 ETCSUFFIX ?= 
 PREFIX ?= /usr
 MANPREFIX ?= $(PREFIX)/share/man
+LOCALSTATEDIR ?= /var/lib
 
 # nothing actually needs to be built now.
 all: 
@@ -41,15 +42,23 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
 	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
 	install src/monkeysphere $(DESTDIR)$(PREFIX)/bin
-	install src/monkeysphere-host src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
+	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/bin/monkeysphere
+	install src/monkeysphere-host $(DESTDIR)$(PREFIX)/sbin
+	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/sbin/monkeysphere-host
+	install src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
+	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/sbin/monkeysphere-authentication
 	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
+	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv
+	sed -i 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv
 	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
-	ln -s ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
-	ln -s ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
+	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
+	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
 	install -m 0744 src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
+	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.23
+	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.28
 	install -m 0644 src/transitions/README.txt $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
 	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
 	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
@@ -68,9 +77,22 @@
 	install man/man7/* $(DESTDIR)$(MANPREFIX)/man7
 	install man/man8/* $(DESTDIR)$(MANPREFIX)/man8
 	gzip -d man/*/*
+	gzip -d $(DESTDIR)$(MANPREFIX)/man1/monkeysphere.1.gz
+	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(MANPREFIX)/man1/monkeysphere.1
+	gzip -n $(DESTDIR)$(MANPREFIX)/man1/monkeysphere.1
+	gzip -d $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-host.8.gz
+	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-host.8
+	sed -i 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):' $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-host.8
+	gzip -n $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-host.8
+	gzip -d $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-authentication.8.gz
+	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-authentication.8
+	sed -i 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):' $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-authentication.8
+	gzip -n $(DESTDIR)$(MANPREFIX)/man8/monkeysphere-authentication.8
 
+# this target depends on you having the monkeysphere-docs
+# repo checked out as a peer of your monkeysphere repo.
 releasenote:
-	./utils/build-releasenote
+	../monkeysphere-docs/utils/build-releasenote
 
 test: test-keytrans test-basic

=== debian/changelog ===
monkeysphere (0.35-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Clint Adams <clint@debian.org>  Thu, 24 Mar 2011 11:00:50 -0400

monkeysphere (0.35-2) unstable; urgency=low

  * move from experimental to unstable.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 25 Feb 2011 14:37:05 -0500

monkeysphere (0.35-1) experimental; urgency=low

  * New upstream release

 -- Jameson Rollins <jrollins@finestructure.net>  Sat, 13 Nov 2010 18:25:47 -0500

monkeysphere (0.34-1) experimental; urgency=low

  [ Jameson Rollins ]
  * New upstream release (Closes: #600644)

  [ Daniel Kahn Gillmor ]
  * updated build-deps and depends to be versioned on gnupg 1.4.10 or
    later.

 -- Jameson Rollins <jrollins@finestructure.net>  Tue, 26 Oct 2010 10:35:04 -0400

monkeysphere (0.33-1) experimental; urgency=low

  * New upstream release (Closes: #600304, #591118)

 -- Jameson Rollins <jrollins@finestructure.net>  Fri, 15 Oct 2010 18:06:42 -0400

monkeysphere (0.32-1) experimental; urgency=low

  * New upstream release
  * remove the etc/X11/Xsession.d/70monkeysphere_use-validation-agent
    script, since msva will now be handling that itself.
  * bumped Standards-Version to 3.9.1 (no changes needed)

 -- Jameson Rollins <jrollins@finestructure.net>  Wed, 06 Oct 2010 17:52:09 -0400

## monkeysphere 0.36

=== Makefile ===
--- 
+++ 
@@ -48,7 +48,7 @@
 	install src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/sbin/monkeysphere-authentication
 	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
-	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
+	install -m 0755 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
 	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv
 	sed -i 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv
@@ -56,6 +56,8 @@
 	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
+	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2pem
+	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2spki
 	install -m 0744 src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.23
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.28
@@ -76,6 +78,8 @@
 	install man/man1/* $(DESTDIR)$(MANPREFIX)/man1
 	install man/man7/* $(DESTDIR)$(MANPREFIX)/man7
 	install man/man8/* $(DESTDIR)$(MANPREFIX)/man8
+	ln -s openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2pem.1.gz
+	ln -s openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2spki.1.gz
 	gzip -d man/*/*
 	gzip -d $(DESTDIR)$(MANPREFIX)/man1/monkeysphere.1.gz
 	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(MANPREFIX)/man1/monkeysphere.1

=== debian/changelog ===
monkeysphere (0.36-1) unstable; urgency=low

  * New upstram release
    (Closes: #635648, #698383)
  * bumped Standards-Version to 3.9.4 (no changes needed)
  * moved debhelper compat level to 9
  * debian/control: remove obsolete Dm-Upload-Allowed
  * debian/copyright: update to modern machine-readable format

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 11 Jul 2013 13:38:51 -0400

=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: net
 Priority: extra
 Maintainer: Jameson Rollins <jrollins@finestructure.net>
-Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, Micah Anderson <micah@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends: debhelper (>= 9~),
  cpio,
  socat,
  openssh-server,
- gnupg,
+ gnupg (>= 1.4.10),
  libcrypt-openssl-rsa-perl,
  libdigest-sha-perl,
  lockfile-progs | procmail,
  openssl,
  bash (>= 3.2)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/monkeysphere
-Dm-Upload-Allowed: yes
 
 Package: monkeysphere
 Architecture: all
 Depends:
- gnupg,
+ gnupg (>= 1.4.10),
  libcrypt-openssl-rsa-perl,
  libdigest-sha-perl,
  lockfile-progs | procmail,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-export DEB_BUILD_OPTIONS=" nocheck"
-
 %:
 	dh $@

## monkeysphere 0.37

=== debian/changelog ===
monkeysphere (0.37-3) unstable; urgency=medium

  * actually patch log() to consume all stdin when not given a message
    argument (apparently the fix in 0.37-2 did not get properly applied)
    (Closes: #778833)
  * also from usptream: improve monkeysphere-authentication diagnostic
    checks.
  * wrap-and-sort for a cleaner debian/

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 May 2015 23:14:57 -0400

monkeysphere (0.37-2) unstable; urgency=medium

  * patch from upstream: log() should consume all stdin when not given a
    message argument.  Closes: #635711
  * bumped Standards-Version to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 27 Nov 2014 14:52:41 -0500

monkeysphere (0.37-1) unstable; urgency=medium

  * new upstream release (Closes: #745144, #755337)
  * remove /var/lib/monkeysphere on package purge (Closes: #668754)
  * bumped Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Aug 2014 13:35:34 -0400

=== debian/control ===
Source: monkeysphere
Section: net
Priority: extra
Maintainer: Jameson Rollins <jrollins@finestructure.net>
Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: bash (>= 3.2),
               cpio,
               debhelper (>= 9~),
               gnupg (>= 1.4.10),
               libcrypt-openssl-rsa-perl,
               libdigest-sha-perl,
               lockfile-progs | procmail,
               openssh-server,
               openssl,
               socat
Standards-Version: 3.9.6
Homepage: http://web.monkeysphere.info/
Vcs-Git: git://git.monkeysphere.info/monkeysphere

Package: monkeysphere
Architecture: all
Depends: adduser,
         gnupg (>= 1.4.10),
         libcrypt-openssl-rsa-perl,
         libdigest-sha-perl,
         lockfile-progs | procmail,
         ${misc:Depends}
Recommends: cron, netcat | socat, openssh-client, ssh-askpass
Suggests: monkeysphere-validation-agent
Enhances: openssh-client, openssh-server
Description: leverage the OpenPGP web of trust for SSH and TLS authentication
 SSH key-based authentication is tried-and-true, but it lacks a true
 Public Key Infrastructure for key certification, revocation and
 expiration.  Monkeysphere is a framework that uses the OpenPGP web of
 trust for these PKI functions.  It can be used in both directions:
 for users to get validated host keys, and for hosts to authenticate
 users.  Current monkeysphere SSH tools are designed to integrate
 with the OpenSSH implementation of the Secure Shell protocol.
 .
 Monkeysphere can also be used by a validation agent to validate TLS
 connections (e.g. https).

## monkeysphere 0.38

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,14 @@
 MANPREFIX ?= $(PREFIX)/share/man
 LOCALSTATEDIR ?= /var/lib
 
-# nothing actually needs to be built now.
-all: 
+CFLAGS +=  $(shell libassuan-config --cflags --libs)
+CFLAGS +=  $(shell libgcrypt-config --cflags --libs)
+CFLAGS += --pedantic -Wall -Werror -std=c99
+
+all: src/agent-transfer/agent-transfer
+
+src/agent-transfer/agent-transfer: src/agent-transfer/main.c src/agent-transfer/ssh-agent-proto.h
+	gcc -o $@ $(CFLAGS) $(LDFLAGS) $<
 
 debian-package:
 	git buildpackage -uc -us
@@ -30,6 +36,7 @@
 	./utils/build-macports-portfile
 
 clean:
+	rm -f src/agent-transfer/agent-transfer
 	# clean up old monkeysphere packages lying around as well.
 	rm -f monkeysphere_*
 
@@ -58,6 +65,7 @@
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2pem
 	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2spki
+	install -m 0755 src/agent-transfer/agent-transfer $(DESTDIR)$(PREFIX)/bin
 	install -m 0744 src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.23
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions/0.28
@@ -100,10 +108,12 @@
 
 test: test-keytrans test-basic
 
-test-basic:
+check: test
+
+test-basic: src/agent-transfer/agent-transfer
 	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic
 
-test-keytrans:
+test-keytrans: src/agent-transfer/agent-transfer
 	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans
 
-.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test
+.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test check

=== debian/changelog ===
monkeysphere (0.38-1) unstable; urgency=medium

  * new upstream release
   - includes new binary package "agent-transfer"

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 17 Jun 2016 02:13:53 -0400

## monkeysphere 0.39

=== Makefile ===
--- 
+++ 
@@ -55,7 +55,7 @@
 	install src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
 	sed -i 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' $(DESTDIR)$(PREFIX)/sbin/monkeysphere-authentication
 	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
-	install -m 0755 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
+	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
 	install -m 0644 src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
 	sed -i 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv
 	sed -i 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):' $(DESTDIR)$(PREFIX)/share/monkeysphere/defaultenv

=== debian/changelog ===
monkeysphere (0.39-1ubuntu1) yakkety; urgency=medium

  * Fix build with ld --as-needed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Aug 2016 19:42:35 +0200

monkeysphere (0.39-1) unstable; urgency=medium

  * new upstream bugfix release
   - avoid treating src/share/common as an executable
   - Include local build of agent-transfer in $PATH (Closes: #835719)
   - force bash as the shell during su (Closes: #827660)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 30 Aug 2016 03:14:40 -0400

## monkeysphere 0.40

=== Makefile ===
#!/usr/bin/make -f

# Makefile for monkeysphere

# © 2008-2010 Daniel Kahn Gillmor <dkg@fifthhorseman.net>
# Licensed under GPL v3 or later

MONKEYSPHERE_VERSION = `head -n1 Changelog | sed 's/.*(\([^-]*\)).*/\1/'`

# these defaults are for debian.  porters should probably adjust them
# before calling make install
ETCPREFIX ?= 
ETCSUFFIX ?= 
PREFIX ?= /usr
MANPREFIX ?= $(PREFIX)/share/man
LOCALSTATEDIR ?= /var/lib

CFLAGS += $(shell libassuan-config --cflags)
CFLAGS += $(shell libgcrypt-config --cflags)
CFLAGS += --pedantic -Wall -Werror -std=c99
LIBS += $(shell libassuan-config --libs)
LIBS += $(shell libgcrypt-config --libs)

REPLACEMENTS = src/monkeysphere src/monkeysphere-host		\
src/monkeysphere-authentication src/share/defaultenv $(wildcard	\
src/transitions/*)

REPLACED_COMPRESSED_MANPAGES = $(addsuffix .gz,$(addprefix replaced/,$(wildcard man/*/*)))

all: src/agent-transfer/agent-transfer $(addprefix replaced/,$(REPLACEMENTS)) $(REPLACED_COMPRESSED_MANPAGES)

src/agent-transfer/agent-transfer: src/agent-transfer/main.c src/agent-transfer/ssh-agent-proto.h
	gcc -o $@ $(CFLAGS) $(LDFLAGS) $< $(LIBS)

debian-package:
	git buildpackage -uc -us

# don't explicitly depend on the tarball, since our tarball
# (re)generation is not idempotent even when no source changes.
freebsd-distinfo: 
	./utils/build-freebsd-distinfo

macports-portfile:
	./utils/build-macports-portfile

clean:
	rm -f src/agent-transfer/agent-transfer
	rm -rf replaced/
	# clean up old monkeysphere packages lying around as well.
	rm -f monkeysphere_*

replaced/%: %
	mkdir -p $(dir $@)
	sed < $< > $@ \
	-e 's:__SYSSHAREDIR_PREFIX__:$(PREFIX):' \
	-e 's:__SYSCONFDIR_PREFIX__:$(ETCPREFIX):' \
	-e 's:__SYSDATADIR_PREFIX__:$(LOCALSTATEDIR):'

replaced/%.gz: replaced/%
	gzip -n $<

# this target is to be called from the tarball, not from the git
# working dir!
install: all installman
	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/sbin
	mkdir -p $(DESTDIR)$(PREFIX)/share/monkeysphere/m $(DESTDIR)$(PREFIX)/share/monkeysphere/mh $(DESTDIR)$(PREFIX)/share/monkeysphere/ma $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	mkdir -p $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	printf "Monkeysphere %s\n" $(MONKEYSPHERE_VERSION) > $(DESTDIR)$(PREFIX)/share/monkeysphere/VERSION
	install replaced/src/monkeysphere $(DESTDIR)$(PREFIX)/bin
	install replaced/src/monkeysphere-host $(DESTDIR)$(PREFIX)/sbin
	install replaced/src/monkeysphere-authentication $(DESTDIR)$(PREFIX)/sbin
	install src/monkeysphere-authentication-keys-for-user $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0644 src/share/common $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0644 replaced/src/share/defaultenv $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/checkperms $(DESTDIR)$(PREFIX)/share/monkeysphere
	install -m 0755 src/share/keytrans $(DESTDIR)$(PREFIX)/share/monkeysphere
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/pem2openpgp
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2ssh
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2pem
	ln -sf ../share/monkeysphere/keytrans $(DESTDIR)$(PREFIX)/bin/openpgp2spki
	install -m 0755 src/agent-transfer/agent-transfer $(DESTDIR)$(PREFIX)/bin
	install -m 0744 replaced/src/transitions/* $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/transitions/README.txt $(DESTDIR)$(PREFIX)/share/monkeysphere/transitions
	install -m 0644 src/share/m/* $(DESTDIR)$(PREFIX)/share/monkeysphere/m
	install -m 0644 src/share/mh/* $(DESTDIR)$(PREFIX)/share/monkeysphere/mh
	install -m 0644 src/share/ma/* $(DESTDIR)$(PREFIX)/share/monkeysphere/ma
	install -m 0644 Changelog $(DESTDIR)$(PREFIX)/share/doc/monkeysphere
	install -d $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
	install -m 0644 examples/* $(DESTDIR)$(PREFIX)/share/doc/monkeysphere/examples
	install -m 0644 etc/monkeysphere.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-host.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-host.conf$(ETCSUFFIX)
	install -m 0644 etc/monkeysphere-authentication.conf $(DESTDIR)$(ETCPREFIX)/etc/monkeysphere/monkeysphere-authentication.conf$(ETCSUFFIX)

installman: $(REPLACED_COMPRESSED_MANPAGES)
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1 $(DESTDIR)$(MANPREFIX)/man7 $(DESTDIR)$(MANPREFIX)/man8
	install replaced/man/man1/* $(DESTDIR)$(MANPREFIX)/man1
	install replaced/man/man7/* $(DESTDIR)$(MANPREFIX)/man7
	install replaced/man/man8/* $(DESTDIR)$(MANPREFIX)/man8
	ln -sf openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2pem.1.gz
	ln -sf openpgp2ssh.1.gz $(DESTDIR)$(MANPREFIX)/man1/openpgp2spki.1.gz

# this target depends on you having the monkeysphere-docs
# repo checked out as a peer of your monkeysphere repo.
releasenote:
	../monkeysphere-docs/utils/build-releasenote

test: test-keytrans test-basic

check: test

test-basic: src/agent-transfer/agent-transfer
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/basic

test-keytrans: src/agent-transfer/agent-transfer
	MONKEYSPHERE_TEST_NO_EXAMINE=true ./tests/keytrans

.PHONY: all tarball debian-package freebsd-distinfo clean install installman releasenote test check

=== debian/changelog ===
monkeysphere (0.40-2) unstable; urgency=medium

  * try to fix kfreebsd builds

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 02:46:18 -0400

monkeysphere (0.40-1) unstable; urgency=medium

  * new upstream release
   - build cleanly with ld --as-needed (Closes: #836228)
   - tests pass with GnuPG 2.1.15 (Closes: #839790)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 12 Oct 2016 01:16:54 -0400

=== debian/control ===
--- 
+++ 
@@ -5,27 +5,31 @@
 Uploaders: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Build-Depends: bash (>= 3.2),
                cpio,
-               debhelper (>= 9~),
-               gnupg (>= 1.4.10),
-               libcrypt-openssl-rsa-perl,
-               libdigest-sha-perl,
-               lockfile-progs | procmail,
-               openssh-server,
-               openssl,
-               socat
-Standards-Version: 3.9.6
+               debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
+               gnupg <!nocheck>,
+               gnupg-agent <!nocheck>,
+               libassuan-dev,
+               libcrypt-openssl-rsa-perl <!nocheck>,
+               libdigest-sha-perl <!nocheck>,
+               libgcrypt20-dev,
+               lockfile-progs | procmail <!nocheck>,
+               openssh-server <!nocheck>,
+               openssl <!nocheck>,
+               socat <!nocheck>
+Standards-Version: 3.9.8
 Homepage: http://web.monkeysphere.info/
 Vcs-Git: git://git.monkeysphere.info/monkeysphere
 
 Package: monkeysphere
 Architecture: all
 Depends: adduser,
-         gnupg (>= 1.4.10),
+         gnupg,
          libcrypt-openssl-rsa-perl,
          libdigest-sha-perl,
          lockfile-progs | procmail,
          ${misc:Depends}
-Recommends: cron, netcat | socat, openssh-client, ssh-askpass
+Recommends: agent-transfer, cron, netcat | socat, openssh-client, ssh-askpass
 Suggests: monkeysphere-validation-agent
 Enhances: openssh-client, openssh-server
 Description: leverage the OpenPGP web of trust for SSH and TLS authentication
@@ -39,3 +43,17 @@
  .
  Monkeysphere can also be used by a validation agent to validate TLS
  connections (e.g. https).
+
+Package: agent-transfer
+Architecture: any
+Depends: gnupg-agent (>= 2.1.0), ${misc:Depends}, ${shlibs:Depends}
+Recommends: openssh-client, pinentry-curses | pinentry
+Enhances: openssh-client, openssh-server
+Description: copy a secret key from GnuPG's gpg-agent to OpenSSH's ssh-agent
+ agent-transfer is a simple utility to extract a secret key from
+ GnuPG's gpg-agent and send it to a running ssh-agent.  This is useful
+ for those who prefer the runtime semantics and behavior of OpenSSH's
+ ssh-agent, but whose secret keys are held in long-term storage by
+ GnuPG's gpg-agent.
+ .
+ This tool comes from the monkeysphere project.
